webdevqa.jp.net

インポートAndroid.supportを解決できません

提供されたコードを実行しようとしています HERE
GithubからコードをダウンロードしてAndroid SDKにインポートしましたが、行にエラーが表示されています

import Android.support.v4.app.FragmentActivity;
import Android.support.v4.app.NavUtils;  

複数のファイルで。しかし、私がAndroid SDK Managerをチェックすると、ExtrasフォルダのAndroid Support LibraryAndroid Support Repositoryの両方がインストールされています。 supportフォルダも見ることができ、その内容はSDK_INSTALL\sdk\extras\Android\supportディレクトリにあります。 Android-support-v4.jarおよびsrcフォルダーも含まれているv4フォルダーもあります。それでもまだエラーが発生しているのはなぜですか、それを解決するにはどうすればよいですか、またそのサンプルコードを実行するにはどうすればよいですか。それが関連しているならば、サンプルコードはRSSリーダーアプリのためです。

119
user13267

次の手順に従ってください。

Eclipseの場合:

  • プロジェクトのPropertiesに移動します
  • Java Build Pathに移動します
  • それからLibrariesタブに行きます。右ペインのAdd External JARsボタンをクリックしてください。
  • Android-support-v4.jarファイルを選択します。通常、Jarファイルのパスは次のとおりです。
    YOUR_DRIVE\Android-sdks\extras\Android\support\v4\Android-support-v4.jar
  • Android-support-v4.jarライブラリを追加した後、Order and Exportタブに移動してAndroid-support-v4 Libraryファイルにチェックマークを付けます。
  • 上記の作業を行った後、プロジェクトをクリーンにしてビルドしてください。
  • 問題解決済み

Android Studioの場合:

ショートバージョン:

  • build.gradleファイルに次の行を追加します。
    implementation 'com.Android.support:support-v4:YOUR_TARGET_VERSION'

ロングバージョン:

  • ファイル - >プロジェクト構造に移動します。

  • [依存関係]タブに移動 - >プラス記号をクリック - > [ライブラリの依存関係]に移動

  • サポートライブラリ「support-v4(com.Android.support:support-v4:YOUR_TARGET_VERSION)」を選択してください。

  • あなたのAppディレクトリ内のあなたの "build.gradle"にナビゲートして、あなたの希望するAndroid Support Libraryがあなたの依存関係に追加されているかどうかを再確認してください。

  • プロジェクトを再構築すれば、すべてうまくいくはずです。

この質問に関する読み方:

  1. サポートライブラリ - Android Dev
  2. 最近のサポートライブラリの改訂
  3. サポートライブラリパッケージ
  4. Android Support Libraryとは何ですか?
  5. Android Support Libraryはどのように機能しますか?

これが役に立つことを願っています。

280
Salman Khakwani

andorid-support-v4.jarは、プロジェクトにインポートする必要がある外部のjarファイルです。

これがAndroid Studioでのやり方です。

ファイル - >プロジェクト構造 enter image description here

[依存関係]タブに移動 - >プラス記号をクリック - > [ライブラリの依存関係]に移動 enter image description here

サポートライブラリ「support-v4(com.Android.support:support-v4:23.0.1)」を選択してください enter image description here

今すぐあなたの "build.gradle"ファイルをあなたのアプリに入れて、Androidサポートライブラリがあなたの依存関係に追加されていることを確認してください。あるいは、GUIから入力するのではなく、compile 'com.Android.support:support-v4:23.0.1'を直接dependencies{}に直接入力することもできます。

enter image description here

プロジェクトを再構築すれば、すべてうまくいくはずです。 enter image description here

15
Gene

問題を解決するためのもう一つの方法:

サポートライブラリを使用している場合は、appcompatライブラリをプロジェクトに追加する必要があります。 このリンク あなたのプロジェクトにサポートライブラリを追加する方法を示しています。

あなたが以前にサポートライブラリを追加したが、あなたが言及された問題を得ていると仮定すると、あなたはそれを修正するために以下のステップに従うことができます。

  1. プロジェクトを右クリックして、ビルドパス>ビルドパスの設定に移動します。

  2. ウィンドウの左側で、Androidを選択します。あなたはこのようなものを見るでしょう:

enter image description here

  1. 現時点ではどのライブラリも参照されていないことに気付くでしょう。右下に表示されている追加ボタンをクリックします。以下のようにポップアップウィンドウが表示されます。

enter image description here

  1. appcompatライブラリを選択し、OKを押します。 (注:libは前述のように追加した場合に表示されます)。今、あなたは次のウィンドウが表示されます。

enter image description here

  1. OKを押します。それでおしまい。ライブラリがプロジェクトに追加され(赤いマークに注意)、サポートライブラリの追加に関連するエラーがなくなったはずです。
8
Dexter

私にとっては、コードを別のラップトップに手動で転送したときに表示されました。やるだけ

ファイル>キャッシュの無効化/再起動

「キャッシュを無効にして再起動」をクリックすると完了です。

4
Ajji

私はAndroid Studio 1.5.1のGeneによる上記の指示に従ったが、それは私のbuild.gradleファイルにこれを追加した:

compile 'platforms:Android:android-support-v4:23.1.1'

だから私はそれをに変更しました:

compile 'com.Android.support:support-v4:23.1.1'

そしてそれは働き始めました。

3
Wayferer

この問題は、同じサポートライブラリAndroid-support-v4.jarの複数のバージョンがある場合にも発生する可能性があります。プロジェクトが、サポートライブラリの異なる2バージョンを含む他のライブラリプロジェクトを使用している場合。この問題を解決するには、各場所に同じバージョンのサポートライブラリを保管してください。

2
AB1209

これはサードパーティのlibやjarファイルをあなたのプロジェクトにインポートするためのとても簡単なステップです

  1. [your_drive\Android-sdks\extras\Android\support\v4\Android-support-v4.jarからAndroid-support-v4.jarファイルをコピーする
    または既存のプロジェクトのbinフォルダーからコピーします。
    またはサードパーティの.jarファイル
  2. コピーしたjarファイルをlibフォルダに貼り付ける

  3. このjarファイルを右クリックしてから、build Path - > Add to Build Pathをクリックします。 enter image description here

  4. それでもまだプロジェクトにエラーが出ていますプロジェクトをクリーンアップしてビルドします。

1
Abdul Rizwan

私は自分のプロジェクトからAndroid-support-v4.jarを削除することでそれを解決しました。 appcompat_v7はすでにそのコピーを持っているからです。

すでにappcompat_v7をインポートしていても問題が解決しない場合は、試してください。

1
Xar E Ahmer

Android Studio 2.2.3 Linuxミント18.1

「プロジェクトビュー」内でGradle Scripts - > build.gradle(Module:app)を開き、Wordの依存関係の中にマウスポインタを置きます。

電球をクリックして「ライブラリの依存関係を追加」をクリックすると、必要なすべてのライブラリがそこに一覧表示されていました。

私のために思い付いたサンプルライブラリ: 'com.Android.support:gridlayout-v7:25.1.0'をコンパイル

私は現在、Gradlesのデフォルト設定にデフォルトでAndroidサポートを追加しようとしています。

0
JesseBoyd